package dst.net.droid;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.text.InputType;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.inputmethod.InputMethodManager;
import android.widget.Button;
import android.widget.TextView;

public class RequestAccessPasswordAct extends Activity {

	
    private int _action;
	
	  public void onCreate(Bundle savedInstanceState) {
	        super.onCreate(savedInstanceState);
	        
	        setContentView(R.layout.requestaccesspassword);
	        
	        if (Parameters.VerticalMode)
	        	 setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
	        
	        final Button btnOK =(Button) findViewById(R.id.pwdbtnAcceptPwd);
	        final Button btnCancel = (Button) findViewById(R.id.pwdbtnCancel);
	        final TextView txtPwd=(TextView) findViewById(R.id.pwdTxtPwd);
	        
	        AndroidOperations _andOP = new AndroidOperations(RequestAccessPasswordAct.this);
	        _andOP.performClickOnDone(txtPwd, btnOK);
	        
	        Bundle extras = getIntent().getExtras();
	        String pwd= extras.getString("password");
	        _action = extras.getInt("action");
	        
	        if (_action==999)
	        	txtPwd.setInputType(InputType.TYPE_CLASS_TEXT | InputType.TYPE_TEXT_VARIATION_PASSWORD);
	        
	        btnCancel.setOnClickListener(new OnClickListener() {
				
				public void onClick(View v) {
					setResult(RESULT_CANCELED);
					finish();
				}
			});
	        btnOK.setTag(pwd);
	        btnOK.setOnClickListener(new OnClickListener() {
		
		public void onClick(View v) {
			
			final TextView txtPwd=(TextView) findViewById(R.id.pwdTxtPwd);
			
			String v1 = String.valueOf(v.getTag());
			String v2 = String.valueOf(txtPwd.getText());
			
            if (v1.equals(v2))
            {
            	 Bundle bundle = new Bundle();
                 bundle.putInt("action", _action);
                 
                 Intent i = new Intent();
                 
                 i.putExtras(bundle);

                 setResult(RESULT_OK, i);
               
                finish();
            }
            else
            {
            	AndroidOperations _andOP = new  AndroidOperations(RequestAccessPasswordAct.this);
                _andOP.ShowMessage(getString(R.string.Permissions) , getString(R.string.WrongPassword));
                txtPwd.setText("");
            }
		}
	  });
	  }
 
	    protected void onResume(){ 
	        super.onResume(); 
	        
	        final TextView txtkeyboard = (TextView) findViewById(R.id.pwdTxtPwd);
	        
	        txtkeyboard.postDelayed(new Runnable() { 
	            public void run() { 
	                InputMethodManager keyboard = (InputMethodManager) 
	                getSystemService(Context.INPUT_METHOD_SERVICE); 
	                keyboard.showSoftInput(txtkeyboard, 0);  
	            } 
	        },200);
	    }
}
