package dst.net.droid;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;

import dst.net.jsonObj.FreezeSalesOrderLine;

public class SaleData {

	public HashMap<Integer, FreezeSalesOrderLine> SaleLines ;
	public ArrayList<FreezeSalesOrderLine> CurrentFreezeLines;
	
	public int TableMembers =1;
	
	public SaleData()
	{
		SaleLines= new HashMap<Integer, FreezeSalesOrderLine>();
	}

	public void RemoveLine(int position)
	{
		if (position < SaleLines.size() && position>-1)
			SaleLines.remove(position);	
	}
	
	public ArrayList<FreezeSalesOrderLine> GetMenuLines()
	{
		ArrayList<FreezeSalesOrderLine> result = new ArrayList<FreezeSalesOrderLine>();
		
		Iterator<FreezeSalesOrderLine> lines = SaleLines.values().iterator();
		
		while (lines.hasNext())
		{
			FreezeSalesOrderLine l = lines.next();
			
			if (l.Menu>0)
				result.add(l);
		}
			
		return result;	
	}
}
